Loading...
Searching...
No Matches
Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, 0 > Class Template Reference
Inheritance diagram for Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, 0 >:

## Public Types

typedef RefinementImp< dimension, CoordType > | Refinement
typedef Refinement::IndexVector | IndexVector
typedef Refinement::CoordVector | CoordVector
typedef Refinement::template Codim< 0 >::Geometry | Geometry
typedef RefinementIteratorSpecial< dimension, CoordType, 0 > | This

## Protected Types

typedef FieldVector< int, dimension > | Vertex

## Protected Attributes

Vertex | origin
int | kuhnIndex
int | size
int | index_

## Static Protected Attributes

static constexpr int | nKuhnIntervals = Dune::factorial(dimension)

## Utilities

| RefinementIteratorSpecial (int nIntervals, bool end=false)
void | increment ()
bool | equals (const This &other) const
IndexVector | vertexIndices () const
int | index () const
CoordVector | coords () const
Geometry | geometry () const

## Member Typedef Documentation

## CoordVector

template<int dimension, class CoordType>

typedef Refinement::CoordVector Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, 0 >::CoordVector

## Geometry

template<int dimension, class CoordType>

typedef Refinement::template Codim<0>::Geometry Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, 0 >::Geometry

## IndexVector

template<int dimension, class CoordType>

typedef Refinement::IndexVector Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, 0 >::IndexVector

## Refinement

template<int dimension, class CoordType>

typedef RefinementImp<dimension, CoordType> Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, 0 >::Refinement

## This

template<int dimension, class CoordType>

typedef RefinementIteratorSpecial<dimension, CoordType, 0> Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, 0 >::This

## Vertex

template<int dimension, class CoordType>

typedef FieldVector<int, dimension> Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, 0 >::Vertex

protected

## Constructor & Destructor Documentation

## RefinementIteratorSpecial()

template<int dimension, class CoordType>

Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, 0 >::RefinementIteratorSpecial | ( | int | nIntervals,
|  | bool | end = false )

## Member Function Documentation

## coords()

template<int dimension, class CoordType>

RefinementIteratorSpecial< dimension, CoordType, 0 >::CoordVector Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, 0 >::coords | ( |  | ) | const

## equals()

template<int dimension, class CoordType>

bool Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, 0 >::equals | ( | const This & | other | ) | const

## geometry()

template<int dimension, class CoordType>

RefinementIteratorSpecial< dimension, CoordType, 0 >::Geometry Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, 0 >::geometry | ( |  | ) | const

## increment()

template<int dimension, class CoordType>

void Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, 0 >::increment | ( |  | ) |

## index()

template<int dimension, class CoordType>

int Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, 0 >::index | ( |  | ) | const

## vertexIndices()

template<int dimension, class CoordType>

RefinementIteratorSpecial< dimension, CoordType, 0 >::IndexVector Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, 0 >::vertexIndices | ( |  | ) | const

## Member Data Documentation

## index_

template<int dimension, class CoordType>

int Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, 0 >::index_

protected

## kuhnIndex

template<int dimension, class CoordType>

int Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, 0 >::kuhnIndex

protected

## nKuhnIntervals

template<int dimension, class CoordType>

int Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, 0 >::nKuhnIntervals = Dune::factorial(dimension)

static constexpr protected

## origin

template<int dimension, class CoordType>

Vertex Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, 0 >::origin

protected

## size

template<int dimension, class CoordType>

int Dune::RefinementImp::Simplex::RefinementIteratorSpecial< dimension, CoordType, 0 >::size

protected

The documentation for this class was generated from the following file:

- simplex.cc